/*
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.ionicons4;

import org.kordamp.ikonli.Ikon;

/**
 * @author Loïc Sculier aka typhon0
 */
public enum Ionicons4IOS implements Ikon {

    ADD("ion4-ios-add",'\uf102'),
    ADD_CIRCLE("ion4-ios-add-circle",'\uf101'),
    ADD_CIRCLE_OUTLINE("ion4-ios-add-circle-outline",'\uf100'),
    AIRPLANE("ion4-ios-airplane",'\uf137'),
    ALARM("ion4-ios-alarm",'\uf3c8'),
    ALBUMS("ion4-ios-albums",'\uf3ca'),
    ALERT("ion4-ios-alert",'\uf104'),
    AMERICAN_FOOTBALL("ion4-ios-american-football",'\uf106'),
    ANALYTICS("ion4-ios-analytics",'\uf3ce'),
    APERTURE("ion4-ios-aperture",'\uf108'),
    APPS("ion4-ios-apps",'\uf10a'),
    APPSTORE("ion4-ios-appstore",'\uf10c'),
    ARCHIVE("ion4-ios-archive",'\uf10e'),
    ARROW_BACK("ion4-ios-arrow-back",'\uf3cf'),
    ARROW_DOWN("ion4-ios-arrow-down",'\uf3d0'),
    ARROW_DROPDOWN("ion4-ios-arrow-dropdown",'\uf110'),
    ARROW_DROPDOWN_CIRCLE("ion4-ios-arrow-dropdown-circle",'\uf125'),
    ARROW_DROPLEFT("ion4-ios-arrow-dropleft",'\uf112'),
    ARROW_DROPLEFT_CIRCLE("ion4-ios-arrow-dropleft-circle",'\uf129'),
    ARROW_DROPRIGHT("ion4-ios-arrow-dropright",'\uf114'),
    ARROW_DROPRIGHT_CIRCLE("ion4-ios-arrow-dropright-circle",'\uf12b'),
    ARROW_DROPUP("ion4-ios-arrow-dropup",'\uf116'),
    ARROW_DROPUP_CIRCLE("ion4-ios-arrow-dropup-circle",'\uf12d'),
    ARROW_FORWARD("ion4-ios-arrow-forward",'\uf3d1'),
    ARROW_ROUND_BACK("ion4-ios-arrow-round-back",'\uf117'),
    ARROW_ROUND_DOWN("ion4-ios-arrow-round-down",'\uf118'),
    ARROW_ROUND_FORWARD("ion4-ios-arrow-round-forward",'\uf119'),
    ARROW_ROUND_UP("ion4-ios-arrow-round-up",'\uf11a'),
    ARROW_UP("ion4-ios-arrow-up",'\uf3d8'),
    AT("ion4-ios-at",'\uf3da'),
    ATTACH("ion4-ios-attach",'\uf11b'),
    BACKSPACE("ion4-ios-backspace",'\uf11d'),
    BARCODE("ion4-ios-barcode",'\uf3dc'),
    BASEBALL("ion4-ios-baseball",'\uf3de'),
    BASKET("ion4-ios-basket",'\uf11f'),
    BASKETBALL("ion4-ios-basketball",'\uf3e0'),
    BATTERY_CHARGING("ion4-ios-battery-charging",'\uf120'),
    BATTERY_DEAD("ion4-ios-battery-dead",'\uf121'),
    BATTERY_FULL("ion4-ios-battery-full",'\uf122'),
    BEAKER("ion4-ios-beaker",'\uf124'),
    BED("ion4-ios-bed",'\uf139'),
    BEER("ion4-ios-beer",'\uf126'),
    BICYCLE("ion4-ios-bicycle",'\uf127'),
    BLUETOOTH("ion4-ios-bluetooth",'\uf128'),
    BOAT("ion4-ios-boat",'\uf12a'),
    BODY("ion4-ios-body",'\uf3e4'),
    BONFIRE("ion4-ios-bonfire",'\uf12c'),
    BOOK("ion4-ios-book",'\uf3e8'),
    BOOKMARK("ion4-ios-bookmark",'\uf12e'),
    BOOKMARKS("ion4-ios-bookmarks",'\uf3ea'),
    BOWTIE("ion4-ios-bowtie",'\uf130'),
    BRIEFCASE("ion4-ios-briefcase",'\uf3ee'),
    BROWSERS("ion4-ios-browsers",'\uf3f0'),
    BRUSH("ion4-ios-brush",'\uf132'),
    BUG("ion4-ios-bug",'\uf134'),
    BUILD("ion4-ios-build",'\uf136'),
    BULB("ion4-ios-bulb",'\uf138'),
    BUS("ion4-ios-bus",'\uf13a'),
    BUSINESS("ion4-ios-business",'\uf1a3'),
    CAFE("ion4-ios-cafe",'\uf13c'),
    CALCULATOR("ion4-ios-calculator",'\uf3f2'),
    CALENDAR("ion4-ios-calendar",'\uf3f4'),
    CALL("ion4-ios-call",'\uf13e'),
    CAMERA("ion4-ios-camera",'\uf3f6'),
    CAR("ion4-ios-car",'\uf140'),
    CARD("ion4-ios-card",'\uf142'),
    CART("ion4-ios-cart",'\uf3f8'),
    CASH("ion4-ios-cash",'\uf144'),
    CELLULAR("ion4-ios-cellular",'\uf13d'),
    CHATBOXES("ion4-ios-chatboxes",'\uf3fa'),
    CHATBUBBLES("ion4-ios-chatbubbles",'\uf146'),
    CHECKBOX("ion4-ios-checkbox",'\uf148'),
    CHECKBOX_OUTLINE("ion4-ios-checkbox-outline",'\uf147'),
    CHECKMARK("ion4-ios-checkmark",'\uf3ff'),
    CHECKMARK_CIRCLE("ion4-ios-checkmark-circle",'\uf14a'),
    CHECKMARK_CIRCLE_OUTLINE("ion4-ios-checkmark-circle-outline",'\uf149'),
    CLIPBOARD("ion4-ios-clipboard",'\uf14c'),
    CLOCK("ion4-ios-clock",'\uf403'),
    CLOSE("ion4-ios-close",'\uf406'),
    CLOSE_CIRCLE("ion4-ios-close-circle",'\uf14e'),
    CLOSE_CIRCLE_OUTLINE("ion4-ios-close-circle-outline",'\uf14d'),
    CLOUD("ion4-ios-cloud",'\uf40c'),
    CLOUD_CIRCLE("ion4-ios-cloud-circle",'\uf152'),
    CLOUD_DONE("ion4-ios-cloud-done",'\uf154'),
    CLOUD_DOWNLOAD("ion4-ios-cloud-download",'\uf408'),
    CLOUD_OUTLINE("ion4-ios-cloud-outline",'\uf409'),
    CLOUD_UPLOAD("ion4-ios-cloud-upload",'\uf40b'),
    CLOUDY("ion4-ios-cloudy",'\uf410'),
    CLOUDY_NIGHT("ion4-ios-cloudy-night",'\uf40e'),
    CODE("ion4-ios-code",'\uf157'),
    CODE_DOWNLOAD("ion4-ios-code-download",'\uf155'),
    CODE_WORKING("ion4-ios-code-working",'\uf156'),
    COG("ion4-ios-cog",'\uf412'),
    COLOR_FILL("ion4-ios-color-fill",'\uf159'),
    COLOR_FILTER("ion4-ios-color-filter",'\uf414'),
    COLOR_PALETTE("ion4-ios-color-palette",'\uf15b'),
    COLOR_WAND("ion4-ios-color-wand",'\uf416'),
    COMPASS("ion4-ios-compass",'\uf15d'),
    CONSTRUCT("ion4-ios-construct",'\uf15f'),
    CONTACT("ion4-ios-contact",'\uf41a'),
    CONTACTS("ion4-ios-contacts",'\uf161'),
    CONTRACT("ion4-ios-contract",'\uf162'),
    CONTRAST("ion4-ios-contrast",'\uf163'),
    COPY("ion4-ios-copy",'\uf41c'),
    CREATE("ion4-ios-create",'\uf165'),
    CROP("ion4-ios-crop",'\uf41e'),
    CUBE("ion4-ios-cube",'\uf168'),
    CUT("ion4-ios-cut",'\uf16a'),
    DESKTOP("ion4-ios-desktop",'\uf16c'),
    DISC("ion4-ios-disc",'\uf16e'),
    DOCUMENT("ion4-ios-document",'\uf170'),
    DONE_ALL("ion4-ios-done-all",'\uf171'),
    DOWNLOAD("ion4-ios-download",'\uf420'),
    EASEL("ion4-ios-easel",'\uf173'),
    EGG("ion4-ios-egg",'\uf175'),
    EXIT("ion4-ios-exit",'\uf177'),
    EXPAND("ion4-ios-expand",'\uf178'),
    EYE("ion4-ios-eye",'\uf425'),
    EYE_OFF("ion4-ios-eye-off",'\uf17a'),
    FASTFORWARD("ion4-ios-fastforward",'\uf427'),
    FEMALE("ion4-ios-female",'\uf17b'),
    FILING("ion4-ios-filing",'\uf429'),
    FILM("ion4-ios-film",'\uf42b'),
    FINGER_PRINT("ion4-ios-finger-print",'\uf17c'),
    FITNESS("ion4-ios-fitness",'\uf1ab'),
    FLAG("ion4-ios-flag",'\uf42d'),
    FLAME("ion4-ios-flame",'\uf42f'),
    FLASH("ion4-ios-flash",'\uf17e'),
    FLASH_OFF("ion4-ios-flash-off",'\uf12f'),
    FLASHLIGHT("ion4-ios-flashlight",'\uf141'),
    FLASK("ion4-ios-flask",'\uf431'),
    FLOWER("ion4-ios-flower",'\uf433'),
    FOLDER("ion4-ios-folder",'\uf435'),
    FOLDER_OPEN("ion4-ios-folder-open",'\uf180'),
    FOOTBALL("ion4-ios-football",'\uf437'),
    FUNNEL("ion4-ios-funnel",'\uf182'),
    GIFT("ion4-ios-gift",'\uf191'),
    GIT_BRANCH("ion4-ios-git-branch",'\uf183'),
    GIT_COMMIT("ion4-ios-git-commit",'\uf184'),
    GIT_COMPARE("ion4-ios-git-compare",'\uf185'),
    GIT_MERGE("ion4-ios-git-merge",'\uf186'),
    GIT_NETWORK("ion4-ios-git-network",'\uf187'),
    GIT_PULL_REQUEST("ion4-ios-git-pull-request",'\uf188'),
    GLASSES("ion4-ios-glasses",'\uf43f'),
    GLOBE("ion4-ios-globe",'\uf18a'),
    GRID("ion4-ios-grid",'\uf18c'),
    HAMMER("ion4-ios-hammer",'\uf18e'),
    HAND("ion4-ios-hand",'\uf190'),
    HAPPY("ion4-ios-happy",'\uf192'),
    HEADSET("ion4-ios-headset",'\uf194'),
    HEART("ion4-ios-heart",'\uf443'),
    HEART_DISLIKE("ion4-ios-heart-dislike",'\uf13f'),
    HEART_EMPTY("ion4-ios-heart-empty",'\uf19b'),
    HEART_HALF("ion4-ios-heart-half",'\uf19d'),
    HELP("ion4-ios-help",'\uf446'),
    HELP_BUOY("ion4-ios-help-buoy",'\uf196'),
    HELP_CIRCLE("ion4-ios-help-circle",'\uf198'),
    HELP_CIRCLE_OUTLINE("ion4-ios-help-circle-outline",'\uf197'),
    HOME("ion4-ios-home",'\uf448'),
    HOURGLASS("ion4-ios-hourglass",'\uf103'),
    ICE_CREAM("ion4-ios-ice-cream",'\uf19a'),
    IMAGE("ion4-ios-image",'\uf19c'),
    IMAGES("ion4-ios-images",'\uf19e'),
    INFINITE("ion4-ios-infinite",'\uf44a'),
    INFORMATION("ion4-ios-information",'\uf44d'),
    INFORMATION_CIRCLE("ion4-ios-information-circle",'\uf1a0'),
    INFORMATION_CIRCLE_OUTLINE("ion4-ios-information-circle-outline",'\uf19f'),
    JET("ion4-ios-jet",'\uf1a5'),
    JOURNAL("ion4-ios-journal",'\uf189'),
    KEY("ion4-ios-key",'\uf1a7'),
    KEYPAD("ion4-ios-keypad",'\uf450'),
    LAPTOP("ion4-ios-laptop",'\uf1a8'),
    LEAF("ion4-ios-leaf",'\uf1aa'),
    LINK("ion4-ios-link",'\uf22a'),
    LIST("ion4-ios-list",'\uf454'),
    LIST_BOX("ion4-ios-list-box",'\uf143'),
    LOCATE("ion4-ios-locate",'\uf1ae'),
    LOCK("ion4-ios-lock",'\uf1b0'),
    LOG_IN("ion4-ios-log-in",'\uf1b1'),
    LOG_OUT("ion4-ios-log-out",'\uf1b2'),
    MAGNET("ion4-ios-magnet",'\uf1b4'),
    MAIL("ion4-ios-mail",'\uf1b8'),
    MAIL_OPEN("ion4-ios-mail-open",'\uf1b6'),
    MAIL_UNREAD("ion4-ios-mail-unread",'\uf145'),
    MALE("ion4-ios-male",'\uf1b9'),
    MAN("ion4-ios-man",'\uf1bb'),
    MAP("ion4-ios-map",'\uf1bd'),
    MEDAL("ion4-ios-medal",'\uf1bf'),
    MEDICAL("ion4-ios-medical",'\uf45c'),
    MEDKIT("ion4-ios-medkit",'\uf45e'),
    MEGAPHONE("ion4-ios-megaphone",'\uf1c1'),
    MENU("ion4-ios-menu",'\uf1c3'),
    MIC("ion4-ios-mic",'\uf461'),
    MIC_OFF("ion4-ios-mic-off",'\uf45f'),
    MICROPHONE("ion4-ios-microphone",'\uf1c6'),
    MOON("ion4-ios-moon",'\uf468'),
    MORE("ion4-ios-more",'\uf1c8'),
    MOVE("ion4-ios-move",'\uf1cb'),
    MUSICAL_NOTE("ion4-ios-musical-note",'\uf46b'),
    MUSICAL_NOTES("ion4-ios-musical-notes",'\uf46c'),
    NAVIGATE("ion4-ios-navigate",'\uf46e'),
    NOTIFICATIONS("ion4-ios-notifications",'\uf1d3'),
    NOTIFICATIONS_OFF("ion4-ios-notifications-off",'\uf1d1'),
    NOTIFICATIONS_OUTLINE("ion4-ios-notifications-outline",'\uf133'),
    NUCLEAR("ion4-ios-nuclear",'\uf1d5'),
    NUTRITION("ion4-ios-nutrition",'\uf470'),
    OPEN("ion4-ios-open",'\uf1d7'),
    OPTIONS("ion4-ios-options",'\uf1d9'),
    OUTLET("ion4-ios-outlet",'\uf1db'),
    PAPER("ion4-ios-paper",'\uf472'),
    PAPER_PLANE("ion4-ios-paper-plane",'\uf1dd'),
    PARTLY_SUNNY("ion4-ios-partly-sunny",'\uf1df'),
    PAUSE("ion4-ios-pause",'\uf478'),
    PAW("ion4-ios-paw",'\uf47a'),
    PEOPLE("ion4-ios-people",'\uf47c'),
    PERSON("ion4-ios-person",'\uf47e'),
    PERSON_ADD("ion4-ios-person-add",'\uf1e1'),
    PHONE_LANDSCAPE("ion4-ios-phone-landscape",'\uf1e2'),
    PHONE_PORTRAIT("ion4-ios-phone-portrait",'\uf1e3'),
    PHOTOS("ion4-ios-photos",'\uf482'),
    PIE("ion4-ios-pie",'\uf484'),
    PIN("ion4-ios-pin",'\uf1e5'),
    PINT("ion4-ios-pint",'\uf486'),
    PIZZA("ion4-ios-pizza",'\uf1e7'),
    PLANET("ion4-ios-planet",'\uf1eb'),
    PLAY("ion4-ios-play",'\uf488'),
    PLAY_CIRCLE("ion4-ios-play-circle",'\uf113'),
    PODIUM("ion4-ios-podium",'\uf1ed'),
    POWER("ion4-ios-power",'\uf1ef'),
    PRICETAG("ion4-ios-pricetag",'\uf48d'),
    PRICETAGS("ion4-ios-pricetags",'\uf48f'),
    PRINT("ion4-ios-print",'\uf1f1'),
    PULSE("ion4-ios-pulse",'\uf493'),
    QR_SCANNER("ion4-ios-qr-scanner",'\uf1f3'),
    QUOTE("ion4-ios-quote",'\uf1f5'),
    RADIO("ion4-ios-radio",'\uf1f9'),
    RADIO_BUTTON_OFF("ion4-ios-radio-button-off",'\uf1f6'),
    RADIO_BUTTON_ON("ion4-ios-radio-button-on",'\uf1f7'),
    RAINY("ion4-ios-rainy",'\uf495'),
    RECORDING("ion4-ios-recording",'\uf497'),
    REDO("ion4-ios-redo",'\uf499'),
    REFRESH("ion4-ios-refresh",'\uf49c'),
    REFRESH_CIRCLE("ion4-ios-refresh-circle",'\uf135'),
    REMOVE("ion4-ios-remove",'\uf1fc'),
    REMOVE_CIRCLE("ion4-ios-remove-circle",'\uf1fb'),
    REMOVE_CIRCLE_OUTLINE("ion4-ios-remove-circle-outline",'\uf1fa'),
    REORDER("ion4-ios-reorder",'\uf1fd'),
    REPEAT("ion4-ios-repeat",'\uf1fe'),
    RESIZE("ion4-ios-resize",'\uf1ff'),
    RESTAURANT("ion4-ios-restaurant",'\uf201'),
    RETURN_LEFT("ion4-ios-return-left",'\uf202'),
    RETURN_RIGHT("ion4-ios-return-right",'\uf203'),
    REVERSE_CAMERA("ion4-ios-reverse-camera",'\uf49f'),
    REWIND("ion4-ios-rewind",'\uf4a1'),
    RIBBON("ion4-ios-ribbon",'\uf205'),
    ROCKET("ion4-ios-rocket",'\uf14b'),
    ROSE("ion4-ios-rose",'\uf4a3'),
    SAD("ion4-ios-sad",'\uf207'),
    SAVE("ion4-ios-save",'\uf1a6'),
    SCHOOL("ion4-ios-school",'\uf209'),
    SEARCH("ion4-ios-search",'\uf4a5'),
    SEND("ion4-ios-send",'\uf20c'),
    SETTINGS("ion4-ios-settings",'\uf4a7'),
    SHARE("ion4-ios-share",'\uf211'),
    SHARE_ALT("ion4-ios-share-alt",'\uf20f'),
    SHIRT("ion4-ios-shirt",'\uf213'),
    SHUFFLE("ion4-ios-shuffle",'\uf4a9'),
    SKIP_BACKWARD("ion4-ios-skip-backward",'\uf215'),
    SKIP_FORWARD("ion4-ios-skip-forward",'\uf217'),
    SNOW("ion4-ios-snow",'\uf218'),
    SPEEDOMETER("ion4-ios-speedometer",'\uf4b0'),
    SQUARE("ion4-ios-square",'\uf21a'),
    SQUARE_OUTLINE("ion4-ios-square-outline",'\uf15c'),
    STAR("ion4-ios-star",'\uf4b3'),
    STAR_HALF("ion4-ios-star-half",'\uf4b1'),
    STAR_OUTLINE("ion4-ios-star-outline",'\uf4b2'),
    STATS("ion4-ios-stats",'\uf21c'),
    STOPWATCH("ion4-ios-stopwatch",'\uf4b5'),
    SUBWAY("ion4-ios-subway",'\uf21e'),
    SUNNY("ion4-ios-sunny",'\uf4b7'),
    SWAP("ion4-ios-swap",'\uf21f'),
    SWITCH("ion4-ios-switch",'\uf221'),
    SYNC("ion4-ios-sync",'\uf222'),
    TABLET_LANDSCAPE("ion4-ios-tablet-landscape",'\uf223'),
    TABLET_PORTRAIT("ion4-ios-tablet-portrait",'\uf24e'),
    TENNISBALL("ion4-ios-tennisball",'\uf4bb'),
    TEXT("ion4-ios-text",'\uf250'),
    THERMOMETER("ion4-ios-thermometer",'\uf252'),
    THUMBS_DOWN("ion4-ios-thumbs-down",'\uf254'),
    THUMBS_UP("ion4-ios-thumbs-up",'\uf256'),
    THUNDERSTORM("ion4-ios-thunderstorm",'\uf4bd'),
    TIME("ion4-ios-time",'\uf4bf'),
    TIMER("ion4-ios-timer",'\uf4c1'),
    TODAY("ion4-ios-today",'\uf14f'),
    TRAIN("ion4-ios-train",'\uf258'),
    TRANSGENDER("ion4-ios-transgender",'\uf259'),
    TRASH("ion4-ios-trash",'\uf4c5'),
    TRENDING_DOWN("ion4-ios-trending-down",'\uf25a'),
    TRENDING_UP("ion4-ios-trending-up",'\uf25b'),
    TROPHY("ion4-ios-trophy",'\uf25d'),
    TV("ion4-ios-tv",'\uf115'),
    UMBRELLA("ion4-ios-umbrella",'\uf25f'),
    UNDO("ion4-ios-undo",'\uf4c7'),
    UNLOCK("ion4-ios-unlock",'\uf261'),
    VIDEOCAM("ion4-ios-videocam",'\uf4cd'),
    VOLUME_HIGH("ion4-ios-volume-high",'\uf11c'),
    VOLUME_LOW("ion4-ios-volume-low",'\uf11e'),
    VOLUME_MUTE("ion4-ios-volume-mute",'\uf263'),
    VOLUME_OFF("ion4-ios-volume-off",'\uf264'),
    WALK("ion4-ios-walk",'\uf266'),
    WALLET("ion4-ios-wallet",'\uf18b'),
    WARNING("ion4-ios-warning",'\uf268'),
    WATCH("ion4-ios-watch",'\uf269'),
    WATER("ion4-ios-water",'\uf26b'),
    WIFI("ion4-ios-wifi",'\uf26d'),
    WINE("ion4-ios-wine",'\uf26f'),
    WOMAN("ion4-ios-woman",'\uf271');




    public static Ionicons4IOS findByDescription(String description) {
        for (Ionicons4IOS font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Ionicons4IOS(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}
