/*
 * Copyright 2015-2018 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.typicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Typicons implements Ikon {
    // latest is e14f
    ADJUST_BRIGHTNESS("typ-adjust-brightness", '\ue000'),
    ADJUST_CONTRAST("typ-adjust-contrast", '\ue001'),
    ANCHOR("typ-anchor", '\ue003'),
    ANCHOR_OUTLINE("typ-anchor-outline", '\ue002'),
    ARCHIVE("typ-archive", '\ue004'),
    ARROW_BACK("typ-arrow-back", '\ue006'),
    ARROW_BACK_OUTLINE("typ-arrow-back-outline", '\ue005'),
    ARROW_DOWN("typ-arrow-down", '\ue009'),
    ARROW_DOWN_OUTLINE("typ-arrow-down-outline", '\ue007'),
    ARROW_DOWN_THICK("typ-arrow-down-thick", '\ue008'),
    ARROW_FORWARD("typ-arrow-forward", '\ue00b'),
    ARROW_FORWARD_OUTLINE("typ-arrow-forward-outline", '\ue00a'),
    ARROW_LEFT("typ-arrow-left", '\ue00e'),
    ARROW_LEFT_OUTLINE("typ-arrow-left-outline", '\ue00c'),
    ARROW_LEFT_THICK("typ-arrow-left-thick", '\ue00d'),
    ARROW_LOOP("typ-arrow-loop", '\ue010'),
    ARROW_LOOP_OUTLINE("typ-arrow-loop-outline", '\ue00f'),
    ARROW_MAXIMISE("typ-arrow-maximise", '\ue012'),
    ARROW_MAXIMISE_OUTLINE("typ-arrow-maximise-outline", '\ue011'),
    ARROW_MINIMISE("typ-arrow-minimise", '\ue014'),
    ARROW_MINIMISE_OUTLINE("typ-arrow-minimise-outline", '\ue013'),
    ARROW_MOVE("typ-arrow-move", '\ue016'),
    ARROW_MOVE_OUTLINE("typ-arrow-move-outline", '\ue015'),
    ARROW_REPEAT("typ-arrow-repeat", '\ue018'),
    ARROW_REPEAT_OUTLINE("typ-arrow-repeat-outline", '\ue017'),
    ARROW_RIGHT("typ-arrow-right", '\ue01b'),
    ARROW_RIGHT_OUTLINE("typ-arrow-right-outline", '\ue019'),
    ARROW_RIGHT_THICK("typ-arrow-right-thick", '\ue01a'),
    ARROW_SHUFFLE("typ-arrow-shuffle", '\ue01c'),
    ARROW_SORTED_DOWN("typ-arrow-sorted-down", '\ue01d'),
    ARROW_SORTED_UP("typ-arrow-sorted-up", '\ue01e'),
    ARROW_SYNC("typ-arrow-sync", '\ue020'),
    ARROW_SYNC_OUTLINE("typ-arrow-sync-outline", '\ue01f'),
    ARROW_UNSORTED("typ-arrow-unsorted", '\ue021'),
    ARROW_UP("typ-arrow-up", '\ue024'),
    ARROW_UP_OUTLINE("typ-arrow-up-outline", '\ue022'),
    ARROW_UP_THICK("typ-arrow-up-thick", '\ue023'),
    AT("typ-at", '\ue025'),
    ATTACHMENT("typ-attachment", '\ue027'),
    ATTACHMENT_OUTLINE("typ-attachment-outline", '\ue026'),
    BACKSPACE("typ-backspace", '\ue029'),
    BACKSPACE_OUTLINE("typ-backspace-outline", '\ue028'),
    BATTERY_CHARGE("typ-battery-charge", '\ue02a'),
    BATTERY_FULL("typ-battery-full", '\ue02b'),
    BATTERY_HIGH("typ-battery-high", '\ue02c'),
    BATTERY_LOW("typ-battery-low", '\ue02d'),
    BATTERY_MID("typ-battery-mid", '\ue02e'),
    BEAKER("typ-beaker", '\ue02f'),
    BEER("typ-beer", '\ue030'),
    BELL("typ-bell", '\ue031'),
    BOOK("typ-book", '\ue032'),
    BOOKMARK("typ-bookmark", '\ue033'),
    BRIEFCASE("typ-briefcase", '\ue034'),
    BRUSH("typ-brush", '\ue035'),
    BUSINESS_CARD("typ-business-card", '\ue036'),
    CALCULATOR("typ-calculator", '\ue037'),
    CALENDAR("typ-calendar", '\ue039'),
    CALENDAR_OUTLINE("typ-calendar-outline", '\ue038'),
    CAMERA("typ-camera", '\ue03b'),
    CAMERA_OUTLINE("typ-camera-outline", '\ue03a'),
    CANCEL("typ-cancel", '\ue03d'),
    CANCEL_OUTLINE("typ-cancel-outline", '\ue03c'),
    CHART_AREA("typ-chart-area", '\ue03f'),
    CHART_AREA_OUTLINE("typ-chart-area-outline", '\ue03e'),
    CHART_BAR("typ-chart-bar", '\ue041'),
    CHART_BAR_OUTLINE("typ-chart-bar-outline", '\ue040'),
    CHART_LINE("typ-chart-line", '\ue043'),
    CHART_LINE_OUTLINE("typ-chart-line-outline", '\ue042'),
    CHART_PIE("typ-chart-pie", '\ue045'),
    CHART_PIE_OUTLINE("typ-chart-pie-outline", '\ue044'),
    CHEVRON_LEFT("typ-chevron-left", '\ue047'),
    CHEVRON_LEFT_OUTLINE("typ-chevron-left-outline", '\ue046'),
    CHEVRON_RIGHT("typ-chevron-right", '\ue049'),
    CHEVRON_RIGHT_OUTLINE("typ-chevron-right-outline", '\ue048'),
    CLIPBOARD("typ-clipboard", '\ue04a'),
    CLOUD_STORAGE("typ-cloud-storage", '\ue04b'),
    CLOUD_STORAGE_OUTLINE("typ-cloud-storage-outline", '\ue054'),
    CODE("typ-code", '\ue04d'),
    CODE_OUTLINE("typ-code-outline", '\ue04c'),
    COFFEE("typ-coffee", '\ue04e'),
    COG("typ-cog", '\ue050'),
    COG_OUTLINE("typ-cog-outline", '\ue04f'),
    COMPASS("typ-compass", '\ue051'),
    CONTACTS("typ-contacts", '\ue052'),
    CREDIT_CARD("typ-credit-card", '\ue053'),
    CSS3("typ-css3", '\ue055'),
    DATABASE("typ-database", '\ue056'),
    DELETE("typ-delete", '\ue058'),
    DELETE_OUTLINE("typ-delete-outline", '\ue057'),
    DEVICE_DESKTOP("typ-device-desktop", '\ue059'),
    DEVICE_LAPTOP("typ-device-laptop", '\ue05a'),
    DEVICE_PHONE("typ-device-phone", '\ue05b'),
    DEVICE_TABLET("typ-device-tablet", '\ue05c'),
    DIRECTIONS("typ-directions", '\ue05d'),
    DIVIDE("typ-divide", '\ue05f'),
    DIVIDE_OUTLINE("typ-divide-outline", '\ue05e'),
    DOCUMENT("typ-document", '\ue063'),
    DOCUMENT_ADD("typ-document-add", '\ue060'),
    DOCUMENT_DELETE("typ-document-delete", '\ue061'),
    DOCUMENT_TEXT("typ-document-text", '\ue062'),
    DOWNLOAD("typ-download", '\ue065'),
    DOWNLOAD_OUTLINE("typ-download-outline", '\ue064'),
    DROPBOX("typ-dropbox", '\ue066'),
    EDIT("typ-edit", '\ue067'),
    EJECT("typ-eject", '\ue069'),
    EJECT_OUTLINE("typ-eject-outline", '\ue068'),
    EQUALS("typ-equals", '\ue06b'),
    EQUALS_OUTLINE("typ-equals-outline", '\ue06a'),
    EXPORT("typ-export", '\ue06d'),
    EXPORT_OUTLINE("typ-export-outline", '\ue06c'),
    EYE("typ-eye", '\ue06f'),
    EYE_OUTLINE("typ-eye-outline", '\ue06e'),
    FEATHER("typ-feather", '\ue070'),
    FILM("typ-film", '\ue071'),
    FILTER("typ-filter", '\ue072'),
    FLAG("typ-flag", '\ue074'),
    FLAG_OUTLINE("typ-flag-outline", '\ue073'),
    FLASH("typ-flash", '\ue076'),
    FLASH_OUTLINE("typ-flash-outline", '\ue075'),
    FLOW_CHILDREN("typ-flow-children", '\ue077'),
    FLOW_MERGE("typ-flow-merge", '\ue078'),
    FLOW_PARALLEL("typ-flow-parallel", '\ue079'),
    FLOW_SWITCH("typ-flow-switch", '\ue07a'),
    FOLDER("typ-folder", '\ue07e'),
    FOLDER_ADD("typ-folder-add", '\ue07b'),
    FOLDER_DELETE("typ-folder-delete", '\ue07c'),
    FOLDER_OPEN("typ-folder-open", '\ue07d'),
    GIFT("typ-gift", '\ue07f'),
    GLOBE("typ-globe", '\ue081'),
    GLOBE_OUTLINE("typ-globe-outline", '\ue080'),
    GROUP("typ-group", '\ue083'),
    GROUP_OUTLINE("typ-group-outline", '\ue082'),
    HEADPHONES("typ-headphones", '\ue084'),
    HEART("typ-heart", '\ue088'),
    HEART_FULL_OUTLINE("typ-heart-full-outline", '\ue085'),
    HEART_HALF_OUTLINE("typ-heart-half-outline", '\ue086'),
    HEART_OUTLINE("typ-heart-outline", '\ue087'),
    HOME("typ-home", '\ue08a'),
    HOME_OUTLINE("typ-home-outline", '\ue089'),
    HTML5("typ-html5", '\ue08b'),
    IMAGE("typ-image", '\ue08d'),
    IMAGE_OUTLINE("typ-image-outline", '\ue08c'),
    INFINITY("typ-infinity", '\ue08f'),
    INFINITY_OUTLINE("typ-infinity-outline", '\ue08e'),
    INFO("typ-info", '\ue093'),
    INFO_LARGE("typ-info-large", '\ue091'),
    INFO_LARGE_OUTLINE("typ-info-large-outline", '\ue090'),
    INFO_OUTLINE("typ-info-outline", '\ue092'),
    INPUT_CHECKED("typ-input-checked", '\ue095'),
    INPUT_CHECKED_OUTLINE("typ-input-checked-outline", '\ue094'),
    KEY("typ-key", '\ue097'),
    KEYBOARD("typ-keyboard", '\ue098'),
    KEY_OUTLINE("typ-key-outline", '\ue096'),
    LEAF("typ-leaf", '\ue099'),
    LIGHTBULB("typ-lightbulb", '\ue09a'),
    LINK("typ-link", '\ue09c'),
    LINK_OUTLINE("typ-link-outline", '\ue09b'),
    LOCATION("typ-location", '\ue0a0'),
    LOCATION_ARROW("typ-location-arrow", '\ue09e'),
    LOCATION_ARROW_OUTLINE("typ-location-arrow-outline", '\ue09d'),
    LOCATION_OUTLINE("typ-location-outline", '\ue09f'),
    LOCK_CLOSED("typ-lock-closed", '\ue0a2'),
    LOCK_CLOSED_OUTLINE("typ-lock-closed-outline", '\ue0a1'),
    LOCK_OPEN("typ-lock-open", '\ue0a4'),
    LOCK_OPEN_OUTLINE("typ-lock-open-outline", '\ue0a3'),
    MAIL("typ-mail", '\ue0a5'),
    MAP("typ-map", '\ue0a6'),
    MEDIA_EJECT("typ-media-eject", '\ue0a8'),
    MEDIA_EJECT_OUTLINE("typ-media-eject-outline", '\ue0a7'),
    MEDIA_FAST_FORWARD("typ-media-fast-forward", '\ue0aa'),
    MEDIA_FAST_FORWARD_OUTLINE("typ-media-fast-forward-outline", '\ue0a9'),
    MEDIA_PAUSE("typ-media-pause", '\ue0ac'),
    MEDIA_PAUSE_OUTLINE("typ-media-pause-outline", '\ue0ab'),
    MEDIA_PLAY("typ-media-play", '\ue0b0'),
    MEDIA_PLAY_OUTLINE("typ-media-play-outline", '\ue0ad'),
    MEDIA_PLAY_REVERSE("typ-media-play-reverse", '\ue0af'),
    MEDIA_PLAY_REVERSE_OUTLINE("typ-media-play-reverse-outline", '\ue0ae'),
    MEDIA_RECORD("typ-media-record", '\ue0b2'),
    MEDIA_RECORD_OUTLINE("typ-media-record-outline", '\ue0b1'),
    MEDIA_REWIND("typ-media-rewind", '\ue0b4'),
    MEDIA_REWIND_OUTLINE("typ-media-rewind-outline", '\ue0b3'),
    MEDIA_STOP("typ-media-stop", '\ue0b6'),
    MEDIA_STOP_OUTLINE("typ-media-stop-outline", '\ue0b5'),
    MESSAGE("typ-message", '\ue0b8'),
    MESSAGES("typ-messages", '\ue0b9'),
    MESSAGE_TYPING("typ-message-typing", '\ue0b7'),
    MICROPHONE("typ-microphone", '\ue0bb'),
    MICROPHONE_OUTLINE("typ-microphone-outline", '\ue0ba'),
    MINUS("typ-minus", '\ue0bd'),
    MINUS_OUTLINE("typ-minus-outline", '\ue0bc'),
    MORTAR_BOARD("typ-mortar-board", '\ue0be'),
    NEWS("typ-news", '\ue0bf'),
    NOTES("typ-notes", '\ue0c1'),
    NOTES_OUTLINE("typ-notes-outline", '\ue0c0'),
    PEN("typ-pen", '\ue0c2'),
    PENCIL("typ-pencil", '\ue0c3'),
    PHONE("typ-phone", '\ue0c5'),
    PHONE_OUTLINE("typ-phone-outline", '\ue0c4'),
    PI("typ-pi", '\ue0c7'),
    PIN("typ-pin", '\ue0c9'),
    PIN_OUTLINE("typ-pin-outline", '\ue0c8'),
    PIPETTE("typ-pipette", '\ue0ca'),
    PI_OUTLINE("typ-pi-outline", '\ue0c6'),
    PLANE("typ-plane", '\ue0cc'),
    PLANE_OUTLINE("typ-plane-outline", '\ue0cb'),
    PLUG("typ-plug", '\ue0cd'),
    PLUS("typ-plus", '\ue0cf'),
    PLUS_OUTLINE("typ-plus-outline", '\ue0ce'),
    POINT_OF_INTEREST("typ-point-of-interest", '\ue0d1'),
    POINT_OF_INTEREST_OUTLINE("typ-point-of-interest-outline", '\ue0d0'),
    POWER("typ-power", '\ue0d3'),
    POWER_OUTLINE("typ-power-outline", '\ue0d2'),
    PRINTER("typ-printer", '\ue0d4'),
    PUZZLE("typ-puzzle", '\ue0d6'),
    PUZZLE_OUTLINE("typ-puzzle-outline", '\ue0d5'),
    RADAR("typ-radar", '\ue0d8'),
    RADAR_OUTLINE("typ-radar-outline", '\ue0d7'),
    REFRESH("typ-refresh", '\ue0da'),
    REFRESH_OUTLINE("typ-refresh-outline", '\ue0d9'),
    RSS("typ-rss", '\ue0dc'),
    RSS_OUTLINE("typ-rss-outline", '\ue0db'),
    SCISSORS("typ-scissors", '\ue0de'),
    SCISSORS_OUTLINE("typ-scissors-outline", '\ue0dd'),
    SHOPPING_BAG("typ-shopping-bag", '\ue0df'),
    SHOPPING_CART("typ-shopping-cart", '\ue0e0'),
    SOCIAL_AT_CIRCULAR("typ-social-at-circular", '\ue0e1'),
    SOCIAL_DRIBBBLE("typ-social-dribbble", '\ue0e3'),
    SOCIAL_DRIBBBLE_CIRCULAR("typ-social-dribbble-circular", '\ue0e2'),
    SOCIAL_FACEBOOK("typ-social-facebook", '\ue0e5'),
    SOCIAL_FACEBOOK_CIRCULAR("typ-social-facebook-circular", '\ue0e4'),
    SOCIAL_FLICKR("typ-social-flickr", '\ue0e7'),
    SOCIAL_FLICKR_CIRCULAR("typ-social-flickr-circular", '\ue0e6'),
    SOCIAL_GITHUB("typ-social-github", '\ue0e9'),
    SOCIAL_GITHUB_CIRCULAR("typ-social-github-circular", '\ue0e8'),
    SOCIAL_GOOGLE_PLUS("typ-social-google-plus", '\ue0eb'),
    SOCIAL_GOOGLE_PLUS_CIRCULAR("typ-social-google-plus-circular", '\ue0ea'),
    SOCIAL_INSTAGRAM("typ-social-instagram", '\ue0ed'),
    SOCIAL_INSTAGRAM_CIRCULAR("typ-social-instagram-circular", '\ue0ec'),
    SOCIAL_LAST_FM("typ-social-last-fm", '\ue0ef'),
    SOCIAL_LAST_FM_CIRCULAR("typ-social-last-fm-circular", '\ue0ee'),
    SOCIAL_LINKEDIN("typ-social-linkedin", '\ue0f1'),
    SOCIAL_LINKEDIN_CIRCULAR("typ-social-linkedin-circular", '\ue0f0'),
    SOCIAL_PINTEREST("typ-social-pinterest", '\ue0f3'),
    SOCIAL_PINTEREST_CIRCULAR("typ-social-pinterest-circular", '\ue0f2'),
    SOCIAL_SKYPE("typ-social-skype", '\ue0f5'),
    SOCIAL_SKYPE_OUTLINE("typ-social-skype-outline", '\ue0f4'),
    SOCIAL_TUMBLER("typ-social-tumbler", '\ue0f7'),
    SOCIAL_TUMBLER_CIRCULAR("typ-social-tumbler-circular", '\ue0f6'),
    SOCIAL_TWITTER("typ-social-twitter", '\ue0f9'),
    SOCIAL_TWITTER_CIRCULAR("typ-social-twitter-circular", '\ue0f8'),
    SOCIAL_VIMEO("typ-social-vimeo", '\ue0fb'),
    SOCIAL_VIMEO_CIRCULAR("typ-social-vimeo-circular", '\ue0fa'),
    SOCIAL_YOUTUBE("typ-social-youtube", '\ue0fd'),
    SOCIAL_YOUTUBE_CIRCULAR("typ-social-youtube-circular", '\ue0fc'),
    SORT_ALPHABETICALLY("typ-sort-alphabetically", '\ue0ff'),
    SORT_ALPHABETICALLY_OUTLINE("typ-sort-alphabetically-outline", '\ue0fe'),
    SORT_NUMERICALLY("typ-sort-numerically", '\ue101'),
    SORT_NUMERICALLY_OUTLINE("typ-sort-numerically-outline", '\ue100'),
    SPANNER("typ-spanner", '\ue103'),
    SPANNER_OUTLINE("typ-spanner-outline", '\ue102'),
    SPIRAL("typ-spiral", '\ue104'),
    STAR("typ-star", '\ue109'),
    STARBURST("typ-starburst", '\ue10b'),
    STARBURST_OUTLINE("typ-starburst-outline", '\ue10a'),
    STAR_FULL_OUTLINE("typ-star-full-outline", '\ue105'),
    STAR_HALF("typ-star-half", '\ue107'),
    STAR_HALF_OUTLINE("typ-star-half-outline", '\ue106'),
    STAR_OUTLINE("typ-star-outline", '\ue108'),
    STOPWATCH("typ-stopwatch", '\ue10c'),
    SUPPORT("typ-support", '\ue10d'),
    TABS_OUTLINE("typ-tabs-outline", '\ue10e'),
    TAG("typ-tag", '\ue10f'),
    TAGS("typ-tags", '\ue110'),
    THERMOMETER("typ-thermometer", '\ue119'),
    THUMBS_DOWN("typ-thumbs-down", '\ue11a'),
    THUMBS_OK("typ-thumbs-ok", '\ue11b'),
    THUMBS_UP("typ-thumbs-up", '\ue11c'),
    TH_LARGE("typ-th-large", '\ue112'),
    TH_LARGE_OUTLINE("typ-th-large-outline", '\ue111'),
    TH_LIST("typ-th-list", '\ue114'),
    TH_LIST_OUTLINE("typ-th-list-outline", '\ue113'),
    TH_MENU("typ-th-menu", '\ue116'),
    TH_MENU_OUTLINE("typ-th-menu-outline", '\ue115'),
    TH_SMALL("typ-th-small", '\ue118'),
    TH_SMALL_OUTLINE("typ-th-small-outline", '\ue117'),
    TICK("typ-tick", '\ue11e'),
    TICKET("typ-ticket", '\ue11f'),
    TICK_OUTLINE("typ-tick-outline", '\ue11d'),
    TIME("typ-time", '\ue120'),
    TIMES("typ-times", '\ue122'),
    TIMES_OUTLINE("typ-times-outline", '\ue121'),
    TRASH("typ-trash", '\ue123'),
    TREE("typ-tree", '\ue124'),
    UPLOAD("typ-upload", '\ue126'),
    UPLOAD_OUTLINE("typ-upload-outline", '\ue125'),
    USER("typ-user", '\ue12c'),
    USER_ADD("typ-user-add", '\ue128'),
    USER_ADD_OUTLINE("typ-user-add-outline", '\ue127'),
    USER_DELETE("typ-user-delete", '\ue12a'),
    USER_DELETE_OUTLINE("typ-user-delete-outline", '\ue129'),
    USER_OUTLINE("typ-user-outline", '\ue12b'),
    VENDOR_ANDROID("typ-vendor-android", '\ue12d'),
    VENDOR_APPLE("typ-vendor-apple", '\ue12e'),
    VENDOR_MICROSOFT("typ-vendor-microsoft", '\ue12f'),
    VIDEO("typ-video", '\ue131'),
    VIDEO_OUTLINE("typ-video-outline", '\ue130'),
    VOLUME("typ-volume", '\ue135'),
    VOLUME_DOWN("typ-volume-down", '\ue132'),
    VOLUME_MUTE("typ-volume-mute", '\ue133'),
    VOLUME_UP("typ-volume-up", '\ue134'),
    WARNING("typ-warning", '\ue137'),
    WARNING_OUTLINE("typ-warning-outline", '\ue136'),
    WATCH("typ-watch", '\ue138'),
    WAVES("typ-waves", '\ue13a'),
    WAVES_OUTLINE("typ-waves-outline", '\ue139'),
    WEATHER_CLOUDY("typ-weather-cloudy", '\ue13b'),
    WEATHER_DOWNPOUR("typ-weather-downpour", '\ue13c'),
    WEATHER_NIGHT("typ-weather-night", '\ue13d'),
    WEATHER_PARTLY_SUNNY("typ-weather-partly-sunny", '\ue13e'),
    WEATHER_SHOWER("typ-weather-shower", '\ue13f'),
    WEATHER_SNOW("typ-weather-snow", '\ue140'),
    WEATHER_STORMY("typ-weather-stormy", '\ue141'),
    WEATHER_SUNNY("typ-weather-sunny", '\ue142'),
    WEATHER_WINDY("typ-weather-windy", '\ue144'),
    WEATHER_WINDY_CLOUDY("typ-weather-windy-cloudy", '\ue143'),
    WINE("typ-wine", '\ue147'),
    WI_FI("typ-wi-fi", '\ue146'),
    WI_FI_OUTLINE("typ-wi-fi-outline", '\ue145'),
    WORLD("typ-world", '\ue149'),
    WORLD_OUTLINE("typ-world-outline", '\ue148'),
    ZOOM("typ-zoom", '\ue14f'),
    ZOOM_IN("typ-zoom-in", '\ue14b'),
    ZOOM_IN_OUTLINE("typ-zoom-in-outline", '\ue14a'),
    ZOOM_OUT("typ-zoom-out", '\ue14d'),
    ZOOM_OUTLINE("typ-zoom-outline", '\ue14e'),
    ZOOM_OUT_OUTLINE("typ-zoom-out-outline", '\ue14c');

    public static Typicons findByDescription(String description) {
        for (Typicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private char code;

    Typicons(String description, char code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public char getCode() {
        return code;
    }
}